> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Details

> Returns a single users object using the specified key.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json get /users('{User}')
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /users('{User}'):
    get:
      tags:
        - users
      summary: Get User Details
      description: Returns a single users object using the specified key.
      operationId: getusers
      parameters:
        - name: User
          in: path
          description: The key User
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: Select structural property
      responses:
        '200':
          description: users response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/users'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    users:
      type: object
      properties:
        User:
          description: The name of the user.
          type: string
        UserId:
          description: The id of the user.
          type: string
        EmailAddress:
          description: The email address of the user.
          type: string
        Password:
          description: The password to authenticate with.
          type: string
        FederationId:
          description: The federation id for SSO authentication.
          type: string
        Roles:
          description: The assigned roles of the user.
          type: string
        Active:
          description: Whether the user is active or not. Defaults to true.
          type: string
        Authtoken:
          description: The primary authtoken of the user.
          type: string
        ExpiredIn:
          description: The days of auth token expired, defaults to -1 never expired.
          type: string
        RowVersion:
          description: The version number of user information.
          type: integer
          format: int64
        LicenseState:
          description: Whether the user is valid or invalid based on the license.
          type: string
        LicenseMessage:
          description: Details for why the user is invalid.
          type: string
      required:
        - User
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````